/**************/
/* hiirimal.c */
/*****************************************************************************
**
** Malliohjelma, jolla kokeillaan hiiren toimintaa.
** Aluksi nyttn tulostetaan hiiren koordinaatti aina oikean nppimen
** painamisen jlkeen.  Kun vasen nappi kytetn alhaalla,
** ruvetaan tulostamaan hiiren paikkaa jatkuvasti kunnes painetaan
** nppint 'x'.
**
** VGA-nytll (80x25) koordinaatti muuttuu (0,0)-(632,192).
**
**
** Malliohjelman kntmiseksi pit tehd projekti, jossa on
**   hiirimal.c
**   hiiru.c
**
** Kntminen onnistuu vain TURBO-C:n uudemmilla versioilla.
**
** Vesa Lappalainen 3.9.1992
**
*****************************************************************************/
#include <stdio.h>
#include <conio.h>
#include "hiiru.h"

int main(void)
{

  int c=0;
  int nappi1,nappi2,x,y,montako;

  alustahiiri();

  clrscr();

  naytahiirikursori();


  gotoxy(1,1); cprintf("%3s %3s (%3s,%3s)","vas","oik","x","y");

  do {
    hiirenpainallukset(0,&nappi1,&nappi2,&montako,&x,&y);
    gotoxy(1,2);
    cprintf("%3d %3d (%03d,%03d)",nappi1,nappi2,x,y);

  } while ( !nappi2 );

  do {
    hiirentila(&x,&y,&nappi1,&nappi2);
    gotoxy(1,2);
    cprintf("%3d %3d (%03d,%03d)",nappi1,nappi2,x,y);

    if (kbhit()) c = getch();
  } while ( c != 'x' );

  katkehiirikursori();

  return c;
}