/**************/
/* laskuri2.c */
/****************************************************************************/
/*
** Ohjelma, jolla voidaan laskea autojen lukumri.
**
** Kyttohje:  ks. aliohjelma alusta_naytto
**
** Toimii sellaisenaan vain mikli kirjastosta lytyy
** funktiot: getch, clrscr, gotoxy
**
** Nytn kytt muutettu jrkevmmksi.
**
** Vesa Lappalainen
** 31.7.1992
**
** Tehtvi: 1) Lis ohjelmaan polkupyrien laskeminen.
**              Moneenko kohtaan tulee muutos?
**           2) Lis ohjelmaan lisnppimet + ja - joiden painamisen
**              jlkeen vastaavasti K:lla ja H:lla joko listn tai
**              vhennetn.
**              Tulosta jonnekin kohti nytt se, kumpiko tila (+ vai -) on
**              menossa!
**           3)
**
**
*/
/****************************************************************************/

#include <stdio.h>
#include <ctype.h>
#include <conio.h>


/****************************************************************************/
/* Globaalit laskurit:                                                      */
int henkiloautoja = 0;
int kuorma_autoja = 0;
int laskuri_rivi  = 0;


/****************************************************************************/
char lue_komento(void)  /* Nppimistlt luettu merkki.                    */
{
/* Seuraava toimii mm. Turbo C:ss: */
  return toupper(getch());
}


/****************************************************************************/
void piirra_naytto(void)
{
clrscr();
printf("\n"
"  Ohjelmalla lasketaan kuorma- ja henkilautojen lukumri\n"
"  sit mukaa kun ne ajavat ohi.\n"
"\n"
"  Kyttohje:  K - lis kuorma-autojen lukumr\n"
"               H - lis henkilautojen lukumr\n"
"               N - nollaa molemmat laskurit\n"
"               X - lopettaa ohjelman\n"
"\n\n"
);
printf("   %20s %20s\n","Henkilautoja","Kuorma-autoja");
laskuri_rivi=wherey();

}


/****************************************************************************/
void nayta_autot(void)
{
  gotoxy(1,laskuri_rivi);
  printf("%20d%20d",henkiloautoja,kuorma_autoja);
}


/****************************************************************************/
void nollaa_laskurit(void)
{
  henkiloautoja = 0;
  kuorma_autoja = 0;
  nayta_autot();
}


/****************************************************************************/
void lisaa_laskuria(int *laskuri)
{
  (*laskuri)++;
  nayta_autot();
}


/****************************************************************************/
int laske(void)
{
  char c;

  while (1) {
    c = lue_komento();
    switch (c) {
      case 'H': lisaa_laskuria(&henkiloautoja); break;
      case 'K': lisaa_laskuria(&kuorma_autoja); break;
      case 'N': nollaa_laskurit(); break;
      case 'X': return 0;
    }
  }

}


/****************************************************************************/
int main(void)
{
  piirra_naytto();
  nollaa_laskurit();
  laske();
  return 0;
}