#include <io.h>
#include <fcntl.h>
#include <stdio.h>

int main(int argc, char *argv[])
{
  int hf;
  int n;
  long size;
  long i;
  char ch;

  if ( argc <= 1 ) {
    printf("\n\n");
    printf("Tm ohjelma sy parmetrina annetun tiedoston\n");
    printf("lopussa olevat tyhj rivit pois!\n");
    printf("\n\n");
    printf("Syntaksi  syoloppu file1 file2 file3");
    return 1;
  }


  for (n=1; n<argc; n++) {
    hf = open(argv[n],O_RDWR);

    if ( !hf ) {
      printf("Tiedostoa '%s' ei ole!\n",argv[n]);
      continue;
    }

    size = filelength(hf);
    printf("%-15s %6ld",argv[n],size);

    i = size;

    for (i = size-1; i > 0 ; i-- ) {

      lseek(hf,i,SEEK_SET);
      read(hf,&ch,1);

      if ( ch != '\n' && ch != '\r' ) break;

    }

    chsize(hf,i+1);
    printf("  -> %6ld\n",i+1);

    close(hf);
  }

  return 0;
}